Documentation Index
Fetch the complete documentation index at: https://developer-cn.cregis.com/llms.txt
Use this file to discover all available pages before exploring further.
接入 API
POST /api/v1/payout
请求参数
| 名称 | 类型 | 是否必须 | 描述 |
|---|
| pid | integer(int64) | 是 | 项目编号 |
| currency | string | 是 | 币种标识 |
| address | string | 是 | 提币地址 |
| amount | string | 是 | 金额 |
| callback_url | string | 否 | 回调地址,该提币信息被处理时会向对应的callback_url发起回调通知,回调详情参考 提币通知 |
| third_party_id | string | 是 | 调用方业务编号 |
| remark | string | 否 | 备注 |
| memo | string | 否 | memo、tag等上链信息,仅Ton、Xrp支持 |
| nonce | string | 是 | 6位随机字符串 |
| timestamp | integer(int64) | 是 | 时间戳 |
| sign | string | 是 | 签名 |
请求示例
{
"pid": 1382528827416576,
"currency": "195@195",
"address": "TXsmKpEuW7qWnXzJLGP9eDLvWPR2GRn1FS",
"amount": "1.1",
"remark": "payout",
"third_party_id": "c9231e604da54469a735af3f449c880f",
"callback_url": "http://xxx.com/payout/callback",
"nonce": "hwlkk6",
"timestamp": 1688004243314,
"sign": "d6eef2de79e39f434a38efb910213ba6"
}
返回结果
| 名称 | 类型 | 描述 |
|---|
| code | string | 返回码 |
| msg | string | 返回信息 |
| data | object | 返回数据 |
返回数据 data 对象
| 名称 | 类型 | 描述 |
|---|
| cid | integer(int64) | 系统流水号 |
返回示例
{
"code": "00000",
"msg": "ok",
"data": {
"cid": 1382688606330880
}
}